Page MenuHomePhabricator

ICONS menu alignment and list item spacing
Closed, ResolvedPublic2 Estimate Story Points

Description

Description

@Jdlrobson @Jdrewniak the positioning of the menus is correct, but the vertical spacing between the list items is still too large. I would recommend 0.75em for the vertical padding, e.g.

.toggle-list-item {
    display: block;
    padding: .75em 0.875em;
}

user menuoverflow menu

Developer notes

Updating padding should be self-contained to the menu and not having any side effects so risk feels low here.

Details

Related Gerrit Patches:

Event Timeline

Restricted Application removed a project: Patch-For-Review. · View Herald TranscriptSep 16 2019, 8:31 PM

Change 537193 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/skins/MinervaNeue@master] Correct personal and overflow menu padding and positioning

https://gerrit.wikimedia.org/r/537193

Change 537193 merged by Jdlrobson:
[mediawiki/skins/MinervaNeue@master] Correct personal and overflow menu padding and positioning

https://gerrit.wikimedia.org/r/537193

ovasileva triaged this task as High priority.Sep 17 2019, 8:19 AM
ovasileva moved this task from Needs triage to Triaged on the Mobile board.Sep 17 2019, 3:29 PM
alexhollender removed alexhollender as the assignee of this task.Sep 17 2019, 5:50 PM

@Jdlrobson @Jdrewniak the positioning of the menus is correct, but the vertical spacing between the list items is still too large. I would recommend 0.75em for the vertical padding, e.g.

.toggle-list-item {
    display: block;
    padding: .75em 0.875em;
}

Jdlrobson updated the task description. (Show Details)Sep 18 2019, 3:28 PM

Change 537671 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/skins/MinervaNeue@master] Labels for mw-ui-icon-before elements should be vertically aligned inside

https://gerrit.wikimedia.org/r/537671

ovasileva set the point value for this task to 2.Sep 19 2019, 5:35 PM

Change 537671 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@master] Labels for mw-ui-icon-before elements should be vertically aligned inside

https://gerrit.wikimedia.org/r/537671

Change 538978 had a related patch set uploaded (by Jdrewniak; owner: Jdrewniak):
[mediawiki/skins/MinervaNeue@master] Modify padding on .toggle-list-item

https://gerrit.wikimedia.org/r/538978

Change 538978 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@master] Modify padding on .toggle-list-item

https://gerrit.wikimedia.org/r/538978

ovasileva closed this task as Resolved.Sep 30 2019, 3:32 PM
ovasileva claimed this task.

Sounds good, resolving

DannyS712 added a subscriber: DannyS712.

[batch] remove patch for review tag from resolved tasks